function back() {
	return history.go(-1);
}

function getPages() {
	pages = document.querySelectorAll('*[data-role=page]');
}

function updateActiveFooterElement() {
	var activeElements = document.querySelector('footer>a.active'), currentElement = document.querySelector('footer>a[href="#' + hash + '"]');
	if (activeElements) {
		activeElements.className = '';
	}
	if (currentElement) {
		currentElement.className = 'active';
	}
}

function showPageByHash() {
	var page = document.getElementById(hash);

	//console.log(hash);

	if (hash == 'search') {
		//if (hashHistory[hashHistory.length - 2] != 'search') {
		//	elements.keyword.value = '';
		//	showFoodsByKeyword('');
		//}
	}
	if (page) {
		//hashHistory.push(hash);
		page.className = 'active';
		if (hash.substr(0, 5) == 'food:') {
			var oldHash = lastHash = hash;
			hash = 'categories';
			updateActiveFooterElement();
			hash = oldHash;
		} else {
			updateActiveFooterElement();
		}
	} else {
		//console.log('Page not found, showing first page:  ' + hash);
		showFirstPage();
	}
}

function showFirstPage() {
	var page = pages[0];
	if (page) {
		//hashHistory.push(hash);
		hash = page.id;
		page.className = 'active';
		updateActiveFooterElement();
	} else {
		//console.log(pages);
	}
}

function hidePages() {
	for (var i = 0; i < pages.length; i++) {
		pages[i].className = '';
	}
}

function handleHashChange(event) {
	try {
		//console.log(event);
		//console.log('error', event.newURL);
		//console.log(event);
		hash = event.newURL ? event.newURL.split('#', 2)[1] : window.location.hash.split('#', 2)[1];
		var item = scrollPositions[hash];
		handleHash();
		if (item) {
			item.element.scrollTop = item.position;
		}
	} catch (e) {
		console.error(e);
	}

}

function handleHash() {
	//console.log(hash);
	var category = (hash !== undefined) ? hash.split('category:', 2)[1] : undefined;
	hidePages();
	if (category !== undefined) {
		showFoodsByCategory(category);
	} else {
		showPageByHash();
	}
}

function showFoodsByKeyword(keyword) {
	var foods = document.querySelectorAll('#search-food-pages>a');
	keyword = keyword.toLowerCase();
	for (var i = 0; i < foods.length; i++) {
		if (keyword) {
			//foods[i].className = foods[i].innerText.toLowerCase().indexOf(keyword) > -1 ? '' : 'inactive';
			foods[i].className = foods[i].textContent.toLowerCase().indexOf(keyword) > -1 ? '' : 'inactive';
		} else {
			foods[i].className = 'inactive';
		}
	}
}

function showFoodsByCategory(category) {
	try {
		var foods = document.querySelectorAll('#list-foods>a');
		for (var i = 0; i < foods.length; i++) {
			var food = foods[i];
			//console.log(category, food.getAttribute('data-category'));
			food.className = (category == '0' || category == food.getAttribute('data-category')) ? '' : 'inactive';
		}
		var selectedCategory = document.getElementById('selected-category');
		resetElementAttributes(selectedCategory);
		if (data.categories && data.categories[category]) {
			setTranslationToElement(selectedCategory, data.categories[category].title);
		}
		translate(selectedCategory);
		showFoodsPage();
		if (elements.foods) {
			var foodsParent = elements.foods.parentNode;
			if (foodsParent) {
				foodsParent.scrollTop = 1;
			}
		}
		sortFood();
	} catch (e) {
		alert(e);
	}
}
