function translate(element) {
	var languages = [getLanguage(), 'en'];
	if (element) {
		translateElement(element, languages);
	} else {
		translateAllTranslatableElements(languages);
	}
}

function translateAllTranslatableElements(languages) {
	translateElements(document.querySelectorAll('*[data-translatable]'), languages);
}

function translateElements(elements, languages) {
	for (var i = 0; i < elements.length; i++) {
		translateElement(elements[i], languages);
	}
}

function translateElement(element, languages) {
	for (var i = 0; i < languages.length; i++) {
		var translation = element.getAttribute('data-translation-' + languages[i]);
		if (translation !== null) {
			element.innerHTML = translation;
			//element.innerText = translation;
			return;
		}
	}
}

function setTranslationToElement(element, translations) {
	element.setAttribute('data-translatable', '');
	for (var translationKey in translations) {
		var translation = translations[translationKey];
		if (translation) {
			element.setAttribute('data-translation-' + translationKey, translation);
		}
	}
}